import {createRouter, createWebHistory} from 'vue-router';
import ListView from '@/views/ListView.vue';
import EditView from '@/views/EditView.vue';

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes:  [
    {
      path:      '/',
      name:      'list',
      component: ListView,
    },
    {
      path: '/edit/:id',
      name: 'edit',
      component: EditView,
    },
  ],
});

export default router;
